%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gourmet
Version:	0.15.9
Release:	5%{?dist}
Summary:	Recipe Manager for the GNOME desktop environment

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://grecipe-manager.sourceforge.net
Source0:	http://downloads.sourceforge.net/grecipe-manager/%{name}-%{version}.tar.gz
Patch0:		13a02dd1627664bf0f1c068d3de730e52c9bfbfd.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext,intltool

Requires: gnome-python2, gnome-python2-gnomeprint
Requires: metakit,pypoppler
Requires: pygtk2, gnome-python2-gtkspell 
Requires: PyRTF,python-sqlalchemy
Requires: python-imaging, pygtk2-libglade, python-reportlab
%description
Gourmet Recipe Manager is a recipe-organizer for GNOME that generates shopping
lists and allows rapid searching of recipes. It imports meal-master & mastercook
files and exports web pages & other formats.

%prep
%setup -q
%patch0 -p1

#chmod -x data/recipe.dtd

%build

%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --skip-build --root %buildroot \
  --disable-modules-check


desktop-file-install %buildroot%_datadir/applications/gourmet.desktop \
  --remove-category=Other \
  --vendor=fedora \
  --add-category=Utility \
  --add-category=X-Fedora \
  --dir=%buildroot%_datadir/applications \
  --copy-name-to-generic-name \
  --delete-original

%find_lang %{name}

%clean
rm -rf %buildroot


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES PKG-INFO README TODO FAQ
# documentation
%_bindir/gourmet
# sitelib stuff
%{python_sitelib}/gourmet
# datadir stuff
%{_datadir}/applications/fedora-gourmet.desktop
%{_datadir}/pixmaps/recbox.png
%{_datadir}/gourmet
%{python_sitelib}/*.egg-info

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Jeff Raber <jeff.raber@gmail.com> - 0.15.9-4
- Apply patch from upstream to resolve bug 717042

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.15.9-3
- Remove python-sqlite2 dep as gourmet can use sqlite3 from the stdlib

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 08 2011 Jeff Raber <jeff.raber@gmail.com> - 0.15.9-1
- New upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 3 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.6-4
- Additional database compatibility issue found and fixed as part of updates-testing 

* Wed Nov 24 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.6-3
- Apply upstream patch for old db comptability

* Wed Nov 24 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.6-2
- Apply upstream patch for old db comptability

* Mon Nov 15 2010 Jeff Raber <jeff.raber@gmail.com> - 0.15.6-1
- New upstream point release, bug fixes

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.15.4-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jun 8 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-4
- Brown bag patch fix

* Mon Jun 7 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-3
- Added patches to fix web page importer bugs 

* Mon Jun 7 2010 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-2
- Added requires for pypoppler so printing will work

* Mon Dec 14 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.4-1
- New upstream point release, minor bug fixes and enhancements

* Mon Dec 14 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.1-1
- New upstream release

* Fri Sep 4 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-4
- add gnome-python2-gtkspell for spellingchecking plugin support

* Tue Aug 25 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-3
- add python-sqlalchemy runtime dep.

* Sun Aug 23 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-2
- Small buildrequires fix.

* Sun Aug 23 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-1
- Latest upstream release, major changes include plugin system for capabilities

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.13.4-4
- Rebuild for Python 2.6

* Fri Jan 04 2008 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-3
- Fix for egg-info file creation

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-2
- Change license tag to GPLv2+ for new licensing guidelines

* Sat Jul 28 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-1
- Update to new upstream version

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.3-1
- Update to new upstream version

* Wed Dec 13 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-2
- Some final specfile cleaning before import into extras cvs

* Tue Dec 12 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-1
- Update to version 0.12.2 and prepare to unorphan the tree

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-2
- try build again

* Fri Mar 17 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-1
- New upstream version
- rpmlint cleanup

* Fri Nov 11 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.13-1
- New upstream version

* Thu Sep 22 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.12-1
- New upstream version

* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.2-1
- Initial checkin to cvs
